version: '3.4'

services:
  web:
    build:
      context: .
      dockerfile: Dockerfile
      target: web
      args:
        - PYTHON_VERSION=3.11
        - NODE_VERSION=18
        - CHROME_VERSION=104
    volumes:
        - ./src:/root/django-oscar-docker

  puppeteer:
    build:
      context: .
      dockerfile: Dockerfile
      target: puppeteer
      args:
        - PYTHON_VERSION=3.11
        - NODE_VERSION=18
        - CHROME_VERSION=104
    volumes:
        - ./src:/root/django-oscar-docker
